| Home | Libraries | People | FAQ | More

## Macro BOOST_PROTO_EXTENDS_FUNCTION

BOOST_PROTO_EXTENDS_FUNCTION — For adding to an expression extension class a set of overloaded function call operators that build expression templates.

## Synopsis

    BOOST_PROTO_EXTENDS_FUNCTION()

## Description

Use `BOOST_PROTO_EXTENDS_FUNCTION()` after `BOOST_PROTO_BASIC_EXTENDS()` to give an expression extension class a set of overloaded function call operators that build expression templates. In addition, `BOOST_PROTO_EXTENDS_FUNCTION()` adds a nested `result<>` class template that is a metafunction for calculating the return type of the overloaded function call operators.

See also:

- `BOOST_PROTO_BASIC_EXTENDS()`
- `BOOST_PROTO_EXTENDS_ASSIGN()`
- `BOOST_PROTO_EXTENDS_SUBSCRIPT()`
- `BOOST_PROTO_EXTENDS()`